#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 4 November 2002                                                     *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/define=("HAVE_LIBFREETYPE=1",\
	"HAVE_LIBJPEG=1")/include=[]

GDC_LIB=libgdc.olb

GDC_INCL=[]

GD_LIB=sys$library:libgd.olb

all : libgdc.olb gdc_samp1.exe gdc_samp2.exe gdc_pie_samp.exe ft_samp.exe
	write sys$output "All done"

# --- compile the samples
gdc_pie_samp.obj : gdc_pie_samp.c $(GDC_INCL)gdc.h $(GDC_INCL)gdcpie.h

gdc_samp1.obj : gdc_samp1.c $(GDC_INCL)gdc.h $(GDC_INCL)gdchart.h

gdc_samp2.obj : gdc_samp2.c $(GDC_INCL)gdc.h $(GDC_INCL)gdchart.h

ft_samp.obj : ft_samp.c $(GDC_INCL)gdc.h $(GDC_INCL)gdchart.h

gdc_samp1.exe : libgdc.olb gdc_samp1.obj gdc.opt
	link gdc_samp1.obj,gdc.opt/opt

# --- link the samples
gdc_samp2.exe : libgdc.olb gdc_samp2.obj gdc.opt
	link gdc_samp2.obj,gdc.opt/opt

gdc_pie_samp.exe : libgdc.olb gdc_pie_samp.obj gdc.opt
	link gdc_pie_samp.obj,gdc.opt/opt

ft_samp.exe : libgdc.olb ft_samp.obj gdc.opt
	link ft_samp.obj,gdc.opt/opt

# --- compile the lib
gifencode.obj : gifencode.c gifencode.h $(GDC_INCL)gdc.h

price_conv.obj : price_conv.c

gdc.obj : gdc.c $(GDC_INCL)gdc.h

gdc_pie.obj : $(GDC_INCL)gdc.h $(GDC_INCL)gdcpie.h gdc_pie.c
	cc$(CFLAGS)/nowarn gdc_pie.c

gdchart.obj : $(GDC_INCL)gdc.h $(GDC_INCL)gdchart.h gdchart.c

array_alloc.obj : array_alloc.c array_alloc.h

libgdc.olb : gifencode.obj,price_conv.obj,gdc.obj,gdc_pie.obj,gdchart.obj,array_alloc.obj
	lib/create libgdc.olb gdc.obj,gdchart.obj,gdc_pie.obj,price_conv.obj,gifencode.obj,array_alloc.obj
	lib/compress libgdc.olb

# --- clean
clean :
	delete *.obj;*,*.olb;*,gdc_samp1.exe;*,gdc_samp2.exe;*,\
	gdc_pie_samp.exe;*,ft_samp.exe;*

